#OF6TS2,4,6,8,10,12,14,16,18,20,22,24,26,28,30,32,34,36,38PT2PL1IP0,3RM45
!include general.mak

OBJS = basic.obj plat_dos.obj list.obj graphics.obj grph_dos.obj pcx.obj heap.obj box.obj blast.obj optim.obj kbd.obj sprite.obj light.obj actor.obj key_dos.obj keyboard.obj palette.obj tile.obj scroll.obj jig.obj walk.obj llib.obj logic.obj mission.obj text.obj entity.obj tier.obj combat.obj zoom.obj level.obj common.obj app_dos.obj design.obj

design.exe : $(OBJS)
	wlink @design.lnk

INCLUDES = graphics.hpp pcx.hpp heap.hpp box.hpp basic.h list.h jig.enm entity.enm sprite.enm tile.enm

basic.obj : basic.c basic.h list.h mylist.h
plat_dos.obj : basic.h plat_dos.h
list.obj : list.c list.h
graphics.obj : graphics.cpp graphics.hpp basic.h list.h mylist.h
grph_dos.obj : grph_dos.cpp grph_dos.hpp basic.h list.h mylist.h
pcx.obj : pcx.cpp pcx.hpp $(INCLUDES)
heap.obj : heap.cpp basic.h list.h mylist.h
box.obj : box.cpp $(INCLUDES)
blast.obj : blast.asm
optim.obj : optim.asm
kbd.obj : kbd.asm
sprite.obj : sprite.cpp sprite.hpp $(INCLUDES)
light.obj : light.cpp $(INCLUDES)
actor.obj : actor.cpp actor.hpp $(INCLUDES)
key_dos.obj : key_dos.c
keyboard.obj : keyboard.cpp keyboard.hpp $(INCLUDES)
palette.obj : palette.cpp palette.hpp $(INCLUDES)
tile.obj : tile.cpp tile.hpp $(INCLUDES)
scroll.obj : scroll.cpp scroll.hpp $(INCLUDES)
jig.obj : jig.cpp jig.hpp $(INCLUDES)
walk.obj : walk.cpp walk.hpp $(INCLUDES)
llib.obj : llib.cpp llib.hpp $(INCLUDES)
logic.obj : logic.cpp logic.hpp $(INCLUDES)
mission.obj : mission.cpp mission.hpp $(INCLUDES)
text.obj : text.cpp text.hpp $(INCLUDES)
entity.obj : entity.cpp entity.hpp $(INCLUDES)
tier.obj : tier.cpp tier.hpp $(INCLUDES)
combat.obj : combat.cpp combat.hpp $(INCLUDES)
zoom.obj : zoom.cpp zoom.hpp $(INCLUDES)
level.obj : level.cpp level.hpp $(INCLUDES)
common.obj : common.cpp common.hpp $(INCLUDES)
app_dos.obj : app_dos.cpp app_dos.hpp $(INCLUDES)
design.obj : design.cpp design.hpp $(INCLUDES)
