NAME = main_win
EXT = exe

GOALS = $(NAME).$(EXT)

LIBS    =kernel32.lib user32.lib advapi32.lib ddraw.lib \
         comdlg32.lib gdi32.lib winmm.lib libc.lib

OBJS    =     ddutil.obj box.obj BASIC.obj PLAT_WIN.obj list.obj \
	heap.obj grph_win.obj pcx.obj font_win.obj demo_win.obj \
	main_win.obj \
	main.obj keyboard.obj key_win.obj net.obj \
	net_win.obj sound.obj slib_win.obj actor.obj \
	color.obj combat.obj common.obj config.obj entity.obj \
	jig.obj level.obj light.obj logic.obj palette.obj \
	scroll.obj sprite.obj text.obj tier.obj \
	tile.obj walk.obj zoom.obj app_win.obj blst_win.obj

          
!if "$(DEBUG)" == "debug"
COPT =-YX -DMSVC20_WIN95_COMPILE -DDEBUG -Zi -Fd$(NAME).PDB
LOPT =-debug:full -debugtype:cv -pdb:$(NAME).pdb
ROPT =-DDEBUG
!else
COPT =-YX
LOPT =-debug:none
ROPT =
!endif
DEF = $(NAME).def
RES = $(NAME).res 

CFLAGS  =$(COPT) -Oxa -D_X86_ $(CDEBUG) -Fo$@
LFLAGS  =$(LOPT)
RCFLAGS =$(ROPT)

NOLOGO = 1

!include mssdk.mk

$(NAME).$(EXT): \
        $(OBJS) $(NAME).def $(RES)
        @$(LINK) $(LFLAGS) @<<
-out:$(NAME).$(EXT)
-map:$(NAME).map
-machine:i386
-subsystem:windows,4.0
-def:$(NAME).def
$(LIBS)
$(RES)
$(OBJS)
<<
